Jump to content

[1.11.2] B9PartSwitch v2.18.0 (March 17)


blowfish
 Share

Recommended Posts

On 3/6/2021 at 11:10 AM, Nova1 said:

Hi, can you please help to fix these errors?

Warning: Duplicated subtype names found on ModuleB9PartSwitch(moduleID='cargoSwitch') on part: LifeSupport

Fatal Error: Fatal exception while loading fields on module ModuleB9PartSwitch on part

Exception while loading field subtypes on type B9PartSwitch.ModuleB9PartSwitch

Exception while loading fields on subtype PartSubtype LH2

Exception while loading field tankType on type B9PartSwitch.PartSubtype

No tank named 'RR_PLM' exists

I finally published my update to Rational Resources (1.16) which should finally stop the RR_PLM (and its like) fatal problem.

13 minutes ago, blowfish said:

It looks like there are some patches in WarpPlugin/Patches/FarFutureTechnologiesFix that are marked as FOR[FarFutureTechnologies], which makes ModuleManager think that FarFutureTechnologies is installed even though it's not.  Immediate fix would be to ether remove those patches or install FFT.  But you probably want to talk to the  author of that mod (I believe Interstellar) to get this fixed.

Can someone provide me a stack trace so I can see where this is getting called from?

That's precisely what's going on. I discovered this with my OPT updates (3.1.x) a few days ago. The FORs are completely unneccesary where they were. Apparently this has been fixed on KSPI's GitHub but it may be some time before it's published, without how big the KSPI bundle is.

Edited by JadeOfMaar
Link to comment
Share on other sites

  • 2 weeks later...

I am having issues to get the correct cash recovered in career mode using the cryotank mod. 

I am running 1.11.2 and the mod works fine, but I realized that the money from 100% recovery is inflated for LH2/OX tank and heavily discounted for LCH4/OX tank.  E.g., the basic 1.25m tank FL-T1100 costs $104 when empty,  when loaded with LH2/OX, I can recover $126 out of it, but when loaded with Methane/LOX, I can only recover $54 for it. 

Is this also an issue for anyone else? Thanks!

Link to comment
Share on other sites

5 hours ago, Dodge said:

I am running 1.11.2 and the mod works fine, but I realized that the money from 100% recovery is inflated for LH2/OX tank and heavily discounted for LCH4/OX tank.  E.g., the basic 1.25m tank FL-T1100 costs $104 when empty,  when loaded with LH2/OX, I can recover $126 out of it, but when loaded with Methane/LOX, I can only recover $54 for it

It's a known KSP 1.11.* bug. More info is here:
https://github.com/net-lisias-ksp/KSP-Recall/issues/12

You should use KSP Recall mod, which fixes this bug (and some others):


P.S.
Please do not duplicate your posts in different forum topics.

Edited by Judicator81
Link to comment
Share on other sites

11 hours ago, HelloMaxxo said:

Hello, i need help downloading it, it gives me an error (in trying to use the S.O.C.K. Mod)

Can't help if I don't know what error you're getting.  You are trying to download from the Github releases page?

Link to comment
Share on other sites

  • 1 month later...
  • 3 weeks later...
Posted (edited)

There's someone with another "B9PartSwitch - Fatal Error" issue on Reddit.

8obmiqimy3171.jpg?width=960&crop=smart&a

Quote

B9PartSwitch has encountered a fatal error and KSP needs to close.

 

Fatal exception while loading fields on module ModuleB9PartSwitch on part

 Exception while loading field subtypes on type B9PartSwitch.ModuleB9PartSwitch

 Exception while loading fields on subtype PartSubtype Food

 Exception while loading field tankType on type B9PartSwitch.PartSubtype

 No tank type named 'Food' exists

 

Please see KSP's log for additional details

 

So far I don't have much more information.

I'll direct them here.

Edited by Teslamax
Link to comment
Share on other sites

8 hours ago, Teslamax said:

There's someone with another "B9PartSwitch - Fatal Error" issue on Reddit.

More info is definitely needed. I don't know what mod owns a tank type simply named "Food" so I can't guess anything other than TAC LS is involved. Well I replied to the poster and asked for logs. I'll find the source of that error.

Link to comment
Share on other sites

On 5/9/2021 at 1:43 AM, 아무생각 said:

Please verify your BDB installation.  Specifically GameData/Bluedog_DB/Compatibility/B9PartSwitch is required but is missing.

On 5/26/2021 at 10:00 PM, Average joe thats not joe said:

Is there anyway to make it so this mod only applies to B9 Aerospace parts and not touch the stock parts? I want to be able to use B9 aerspace parts with fuel in them whilst also being able to switch fuel in stock tanks for KSPIE

It doesn't do anything by default.  If something is modifying the stock tanks it's another mod (maybe CryoTanks).

Link to comment
Share on other sites

1 hour ago, Average joe thats not joe said:

I found out why, it's another mod that is recommended by ckan to download with this mod which basically makes it so this mod also affect stock tanks

out of curiosity, which mod ?

Link to comment
Share on other sites

  • 2 weeks later...

IDK if im missing something obvious but im getting a lot of errors on start up.

 

Spoiler

Tm8nsPk.png

https://gist.github.com/b5330e0437c4705ca20418765cd5ac29  <- ksp log

https://gist.github.com/126bf5a01e1ac44af09e60c20b18bb65 <- player.log

https://gist.github.com/4b47a2bc8a23e6db71e6c80678bf279d <- output_log.txt

p sure its some kind of mod conflict since im running a ton of mods but idk what would cause it, ive had a similar mod load order in the past (same version of ksp even), but no errors. 

Link to comment
Share on other sites

21 minutes ago, 123nick said:

IDK if im missing something obvious but im getting a lot of errors on start up.

 

  Hide contents

Tm8nsPk.png

https://gist.github.com/b5330e0437c4705ca20418765cd5ac29  <- ksp log

https://gist.github.com/126bf5a01e1ac44af09e60c20b18bb65 <- player.log

https://gist.github.com/4b47a2bc8a23e6db71e6c80678bf279d <- output_log.txt

p sure its some kind of mod conflict since im running a ton of mods but idk what would cause it, ive had a similar mod load order in the past (same version of ksp even), but no errors. 

Make sure WBI Classic Stock is up to date. 

Link to comment
Share on other sites

2 hours ago, Spaceman.Spiff said:

Make sure WBI Classic Stock is up to date. 

What's that? IIRC i only know WBI classic stock aw a game mode option for WBI. 

edit: i think its the classicstockResources folder in WBI. but, idk if its a incompatability with RR or something else. ill ask about it in their relevant threads. 

Edited by 123nick
Link to comment
Share on other sites

  • 3 weeks later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...